;********************************************************************
;                         Tomasz Jaboski                          *
;                 Mikrokontrolery PIC16F8x w praktyce               *
;                      Wydawnictwo BTC, www.btc.pl                  *
;********************************************************************
; Przykad 3.3.
; Wykorzystanie adresowania poredniego do zerowania 
; rejestrw uniwersalnych GPR pamici danych
	CLRF STATUS			; bank 0
	MOVLW 0x0C			; adres pierwszego rejestru uniwersalnego GPR
					; w banku 0 pamici danych
	MOVWF FSR			; FSR<-0Ch

LOOP	CLRF INDF			; zerowanie rejestru pamici danych 
					; o adresie w FSR  adresowanie porednie!
	INCF FSR,F			; nastpny adres (FSR<-FSR+1)
	MOVF FSR,W			; W<-FSR
	XORLW 50h			; dla PIC16F84	; czy W = 50h
					; (grna granica pamici danych+1)
;	XORLW 30h			; dla PIC16F83
	BTFSS STATUS,Z
	GOTO LOOP
	.......
