;********************************************************************
;                         Tomasz Jaboski                          *
;                 Mikrokontrolery PIC16F8x w praktyce               *
;                      Wydawnictwo BTC, www.btc.pl                  *
;********************************************************************
; Przykad 3.2.                                                     *
; Wykorzystanie adresowania poredniego do zaadresowania            *
; 16-elementowej tablicy                                            *
;********************************************************************
	BCF STATUS, IRP		; IRP=0  wybranie bankw 0/1 pamici danych
	MOVLW 0x20		; 20h  adres pocztkowy tablicy
	MOVWF FSR		; do FSR adres pocztku tablicy
LOOP	MOVF INDF,W		; W <- INDF, czyli zawarto rejestru 
				; o adresie FSR
	CALL t_usart		; wylij znak
	INCF FSR,F	 	; FSR<-FSR+1  nastpny adres
	BTFSS FSR,4		; czy wszystkie znaki wysane?
	GOTO LOOP
	.....
	.....
t_usart	MOVWF TXREG		; podprogram wysyania znaku
	.....
	.....
	RETURN
