Listing 8.6. Program inicjalizujcy mikrokontroler do pracy zklawiatur matrycow
#include 16f84.h
st_temp	equ 0dh		;rejestr przechowywania wartoci rejestru STATUS
							;w czasie obsugi przerwa
l_msek	equ 0eh		;licznik opnie czasu
l_kol		equ 0fh		;licznik kolumn
z_bit 		equ 10h		;zmienna zawierajca znaczniki bitowe,
							;wykorzystywane w procedurze obsugi klawiatury
							;matrycowej
kod		equ 11h		;kod wcinitego klawisza
#define o_kl	z_bit,0
#define pu_kl	z_bit,1
#define pw_kl	z_bit,2

			Org 0
			Goto _start

			Org 4				;procedura obsugi przerwania z listingu 8.4
_int		.....
			retfie			;koniec procedury obsugi przerwania

_poz		addwf pcl,f
			.....				;cig dalszy z list. 8.4	
			return			;koniec fragmentu z list. 4

_start	bsf RP0			;bank1
			movlw.1			;option_reg=1 preskaler do TMR0
			movwf option_reg		;podzia preskalera 1:4

			movlw 0f0h		;RB0..RB3 wyjciowe, RB4...RB7 wejciowe
			movwf trisb
			clrf trisa		; PORTA wyjciowy
			bcf RP0			;bank0

			;wartoci pocztkowe znacznikw bitowych
			bcf o_kl			;nie mona sprawdza klawiatury
			bcf pu_kl		;klawisz nie puszczony
			bcf pw_kl		; nie wykryte pierwsze wcinicie

			movlw 0ffh		;wartoci w rejestrach portw
			movwf porta
			movwf portb

			clrf intcon		;wyzerowania RBIF
			movlw.130		;adowanie licznika
			movwf tmr0
			clrf l_msek		;zerowanie licznika odmierzania ms

			bsf T0IE			;maska przerwania od licznika T0
			bsf GIE			;odblokowanie przerwa
			;koniec inicjalizacji
