Listing 8.9. Inicjalizacja ukadu wywietlacza
#include 16f84.h
b_wys			equ 0ch		;pocztek bufora wywietlacza
nr_wys		equ 0fh		;biecy numer wywietlacza
w_temp		equ 10h		;rejestr zachowania W
st_temp		equ 11h		;rejestr zachowania STATUS
temp_porta	equ 12h		;rejestr pomocniczy porta

					org 0
					goto start

					org 4
_int				......				;procedura obsugi przerwania z list. 8.8
					......
					retfie
_poz				addwf pcl,f		;procedura konwersji (z list. 8.8)
					dt 6,5,3

start				bcf RP0			;bank 0
					clrf porta
					clrf portb
					bsf RP0			;bank1
					bcf t0cs			;fxtal/4
					bcf PSA			;preskaler doczony do T0
					bcf PS0			;wspczynnik preskalera: 1/32
					bcf PS1
					bsf PS2

					movlw 0f0h
					movwf trisb		;RB0...RB3 wyjciowe
					clrf trisa		;RA0...RA4 wyjciowe
					bcf RP0			;bank0
					call _int
					movlw 0ffh
					movwf porta		;inicjalizacja rejestrw portu
					movwf portb
					movwf temp_porta

					clrf intcon		;zablokowanie wszystkich przerwa
					movlw 0b1h		;adowanie licznika
					movwf tmr0
	
					bsf T0IE			;odblokowanie przerwania od Timer0
					bsf GIE			;odblokowanie ukadu przerwa

					call _wyswietlanie	;przykadowy wpis do bufora 
										;wywietlacza cyfr 1, 2, 3
_et				nop					;ptla nieskoczona
					goto _et


_wyswietlanie	movlw b_wys		;pocztek bufora wywietlacza
					movwf fsr
					movlw 1			;najstarsza cyfra
					movwf indf

					incf fsr,f
					movlw 2			;rodkowa cyfra
					movwf indf

					incf fsr,f
					movlw 3			;najmodsza cyfra
					movwf indf

					return
